import { ModuleWithProviders } from '@angular/core';
import { Store, StoreEnhancer, StoreEnhancerStoreCreator } from 'redux';
import { ReduxModuleChildConfig } from './module/child/config';
import { ReduxModuleRootConfig } from './module/root/config';
import { StateDefinition } from './state/definition';
import { StateDefinitionManager } from './state/definition/manager';
export declare class ReduxRootModule {
    private stateDefinitionManager;
    constructor(store: Store<{}>, stateDefinitionManager: StateDefinitionManager, stateDefs?: StateDefinition[]);
}
export declare class ReduxModule {
    private stateDefinitionManager;
    constructor(stateDefs: StateDefinition[], stateDefinitionManager: StateDefinitionManager);
    static forChild(config?: ReduxModuleChildConfig): ModuleWithProviders;
    static forRoot(config?: ReduxModuleRootConfig): ModuleWithProviders;
    static defaultStoreFactory(): Store<{}>;
    static defaultEnhancerFactory(): StoreEnhancer<{}>;
    static noopEnhancer(next: StoreEnhancerStoreCreator<{}>): StoreEnhancerStoreCreator<{}>;
}
